## org.apache.poi.hwpf.model
Class UPX

    java.lang.Object
      org.apache.poi.hwpf.model.UPX

    @Internal
    public final class UPX

extends java.lang.Object

Constructor Summary
`UPX(byte[] upx)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`byte[]` `getUPX()`
`int` `size()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UPX

    public UPX(byte[] upx)

Method Detail

### getUPX

    public byte[] getUPX()

### size

    public int size()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.